GZIPOutputStream (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.zip
Class GZIPOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--java.util.zip.DeflaterOutputStream
                        |
                        +--java.util.zip.GZIPOutputStream

public class GZIPOutputStream
extends DeflaterOutputStream

This class implements a stream filter for writing compressed data in the GZIP file format.

Field Summary
`protected CRC32` | `crc` CRC-32 of uncompressed data.

Fields inherited from class java.util.zip.DeflaterOutputStream
`buf, def`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`GZIPOutputStream(OutputStream out)` Creates a new output stream with a default buffer size.
`GZIPOutputStream(OutputStream out, int size)` Creates a new output stream with the specified buffer size.

Method Summary
`void` | `finish()` Finishes writing compressed data to the output stream without closing the underlying stream.
`void` | `write(byte[] buf, int off, int len)` Writes array of bytes to the compressed output stream.

Methods inherited from class java.util.zip.DeflaterOutputStream
`close, deflate, write`

Methods inherited from class java.io.FilterOutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### crc

    protected CRC32 crc

  CRC-32 of uncompressed data.

Constructor Detail

### GZIPOutputStream

    public GZIPOutputStream(OutputStream out,
                            int size)
                     throws IOException

  Creates a new output stream with the specified buffer size.

Parameters:
  `out` - the output stream
  `size` - the output buffer size
Throws:
  `IOException` - If an I/O error has occurred.
  `IllegalArgumentException` - if size is <= 0

### GZIPOutputStream

    public GZIPOutputStream(OutputStream out)
                     throws IOException

  Creates a new output stream with a default buffer size.

Parameters:
  `out` - the output stream
Throws:
  `IOException` - If an I/O error has occurred.

Method Detail

### write

    public void write(byte[] buf,
                      int off,
                      int len)
               throws IOException

  Writes array of bytes to the compressed output stream. This method will block until all the bytes are written.

  Overrides:
    `write` in class `DeflaterOutputStream`
  Parameters:
    `buf` - the data to be written
    `off` - the start offset of the data
    `len` - the length of the data
  Throws:
    `IOException` - If an I/O error has occurred.

### finish

    public void finish()
                throws IOException

  Finishes writing compressed data to the output stream without closing the underlying stream. Use this method when applying multiple filters in succession to the same output stream.

  Overrides:
    `finish` in class `DeflaterOutputStream`
  Throws:
    `IOException` - if an I/O error has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.